Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessTimer.Builder

    java.lang.Object
      com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
          com.google.protobuf.AbstractMessage.Builder<BuilderType>
              com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessTimer.Builder>
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessTimer.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessTimerOrBuilder

Enclosing class:
  JBPMMessages.ProcessTimer

    public static final class JBPMMessages.ProcessTimer.Builder

extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessTimer.Builder>
implements JBPMMessages.ProcessTimerOrBuilder

Protobuf type `org.jbpm.marshalling.ProcessTimer`

Method Summary
`JBPMMessages.ProcessTimer` | `build()`
`JBPMMessages.ProcessTimer` | `buildPartial()`
`JBPMMessages.ProcessTimer.Builder` | `clear()`
`JBPMMessages.ProcessTimer.Builder` | `clearTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`JBPMMessages.ProcessTimer.Builder` | `clearTrigger()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
`JBPMMessages.ProcessTimer.Builder` | `clone()`
`JBPMMessages.ProcessTimer` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
`JBPMMessages.ProcessTimer.TimerInstance` | `getTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`JBPMMessages.ProcessTimer.TimerInstance.Builder` | `getTimerBuilder()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`JBPMMessages.ProcessTimer.TimerInstanceOrBuilder` | `getTimerOrBuilder()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`org.drools.core.marshalling.impl.ProtobufMessages.Trigger` | `getTrigger()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
`org.drools.core.marshalling.impl.ProtobufMessages.Trigger.Builder` | `getTriggerBuilder()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
`org.drools.core.marshalling.impl.ProtobufMessages.TriggerOrBuilder` | `getTriggerOrBuilder()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
`boolean` | `hasTimer()` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`boolean` | `hasTrigger()` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`JBPMMessages.ProcessTimer.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessTimer.Builder` | `mergeFrom(JBPMMessages.ProcessTimer other)`
`JBPMMessages.ProcessTimer.Builder` | `mergeFrom(com.google.protobuf.Message other)`
`JBPMMessages.ProcessTimer.Builder` | `mergeTimer(JBPMMessages.ProcessTimer.TimerInstance value)` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`JBPMMessages.ProcessTimer.Builder` | `mergeTrigger(org.drools.core.marshalling.impl.ProtobufMessages.Trigger value)` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
`JBPMMessages.ProcessTimer.Builder` | `setTimer(JBPMMessages.ProcessTimer.TimerInstance.Builder builderForValue)` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`JBPMMessages.ProcessTimer.Builder` | `setTimer(JBPMMessages.ProcessTimer.TimerInstance value)` `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`
`JBPMMessages.ProcessTimer.Builder` | `setTrigger(org.drools.core.marshalling.impl.ProtobufMessages.Trigger.Builder builderForValue)` `optional .org.drools.core.marshalling.Trigger trigger = 2;`
`JBPMMessages.ProcessTimer.Builder` | `setTrigger(org.drools.core.marshalling.impl.ProtobufMessages.Trigger value)` `optional .org.drools.core.marshalling.Trigger trigger = 2;`

Methods inherited from class com.google.protobuf.GeneratedMessage.Builder
`addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

Methods inherited from class com.google.protobuf.AbstractMessage.Builder
`findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder
`addAll, newUninitializedMessageException`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Method Detail

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessTimer.Builder>`

### clear

    public JBPMMessages.ProcessTimer.Builder clear()

  Specified by:
    `clear` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clear` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessTimer.Builder>`

### clone

    public JBPMMessages.ProcessTimer.Builder clone()

  Specified by:
    `clone` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clone` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessTimer.Builder>`

### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessTimer.Builder>`

### getDefaultInstanceForType

    public JBPMMessages.ProcessTimer getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

    public JBPMMessages.ProcessTimer build()

  Specified by:
    `build` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

    public JBPMMessages.ProcessTimer buildPartial()

  Specified by:
    `buildPartial` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

    public JBPMMessages.ProcessTimer.Builder mergeFrom(com.google.protobuf.Message other)

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessTimer.Builder>`

### mergeFrom

    public JBPMMessages.ProcessTimer.Builder mergeFrom(JBPMMessages.ProcessTimer other)

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessTimer.Builder>`

### mergeFrom

    public JBPMMessages.ProcessTimer.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws IOException

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessTimer.Builder>`
  Throws:
    `IOException`

### hasTimer

    public boolean hasTimer()

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

  Specified by:
    `hasTimer` in interface `JBPMMessages.ProcessTimerOrBuilder`

### getTimer

    public JBPMMessages.ProcessTimer.TimerInstance getTimer()

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

  Specified by:
    `getTimer` in interface `JBPMMessages.ProcessTimerOrBuilder`

### setTimer

    public JBPMMessages.ProcessTimer.Builder setTimer(JBPMMessages.ProcessTimer.TimerInstance value)

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

### setTimer

    public JBPMMessages.ProcessTimer.Builder setTimer(JBPMMessages.ProcessTimer.TimerInstance.Builder builderForValue)

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

### mergeTimer

    public JBPMMessages.ProcessTimer.Builder mergeTimer(JBPMMessages.ProcessTimer.TimerInstance value)

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

### clearTimer

    public JBPMMessages.ProcessTimer.Builder clearTimer()

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

### getTimerBuilder

    public JBPMMessages.ProcessTimer.TimerInstance.Builder getTimerBuilder()

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

### getTimerOrBuilder

    public JBPMMessages.ProcessTimer.TimerInstanceOrBuilder getTimerOrBuilder()

  `optional .org.jbpm.marshalling.ProcessTimer.TimerInstance timer = 1;`

  Specified by:
    `getTimerOrBuilder` in interface `JBPMMessages.ProcessTimerOrBuilder`

### hasTrigger

    public boolean hasTrigger()

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

  Specified by:
    `hasTrigger` in interface `JBPMMessages.ProcessTimerOrBuilder`

### getTrigger

    public org.drools.core.marshalling.impl.ProtobufMessages.Trigger getTrigger()

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

  Specified by:
    `getTrigger` in interface `JBPMMessages.ProcessTimerOrBuilder`

### setTrigger

    public JBPMMessages.ProcessTimer.Builder setTrigger(org.drools.core.marshalling.impl.ProtobufMessages.Trigger value)

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

### setTrigger

    public JBPMMessages.ProcessTimer.Builder setTrigger(org.drools.core.marshalling.impl.ProtobufMessages.Trigger.Builder builderForValue)

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

### mergeTrigger

    public JBPMMessages.ProcessTimer.Builder mergeTrigger(org.drools.core.marshalling.impl.ProtobufMessages.Trigger value)

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

### clearTrigger

    public JBPMMessages.ProcessTimer.Builder clearTrigger()

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

### getTriggerBuilder

    public org.drools.core.marshalling.impl.ProtobufMessages.Trigger.Builder getTriggerBuilder()

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

### getTriggerOrBuilder

    public org.drools.core.marshalling.impl.ProtobufMessages.TriggerOrBuilder getTriggerOrBuilder()

  `optional .org.drools.core.marshalling.Trigger trigger = 2;`

  Specified by:
    `getTriggerOrBuilder` in interface `JBPMMessages.ProcessTimerOrBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.